slepc-3.10.1 2018-10-23
Report Typos and Errors

# EPSReasonView

Displays the reason an EPS solve converged or diverged.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSReasonView(EPS eps,PetscViewer viewer)

Collective on EPS

### Parameter

| eps | - the eigensolver context
| viewer | - the viewer to display the reason

### Options Database Keys

| -eps_converged_reason | - print reason for convergence, and number of iterations

### See Also

EPSSetConvergenceTest(), EPSSetTolerances(), EPSGetIterationNumber()

Location: src/eps/interface/epsview.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex2.c.html
src/eps/examples/tutorials/ex3.c.html
src/eps/examples/tutorials/ex4.c.html
src/eps/examples/tutorials/ex5.c.html
src/eps/examples/tutorials/ex7.c.html
src/eps/examples/tutorials/ex9.c.html
src/eps/examples/tutorials/ex10.c.html
src/eps/examples/tutorials/ex11.c.html
src/eps/examples/tutorials/ex13.c.html
src/eps/examples/tutorials/ex18.c.html
src/eps/examples/tutorials/ex25.c.html